import type { CacheNode } from '../Cache';
import { GeneratedSchemaObject, Type } from '../Schema';
import type { Selection } from '../Selection';
import type { Meta } from './meta';
/**
 * Check provided accessor with the new selection, returns appropriate
 * accessors, data skeleton or cached value according to the generated schema.
 */
export declare const resolve: (accessor: GeneratedSchemaObject, selection: Selection, __type: Type['__type']) => string | number | boolean | CacheNode[] | GeneratedSchemaObject<Record<string, any>> | {
    [k: string]: boolean;
} | GeneratedSchemaObject<Record<string, any>>[] | null | undefined;
export declare const createUnionAccessor: ({ context, cache, possibleTypes, selection, }: Omit<Meta, "type"> & {
    possibleTypes: readonly string[];
}) => {
    [k: string]: boolean;
};
export type AccessorOptions = {
    type: Record<string, Type | undefined>;
};
export declare const createObjectAccessor: <TSchemaType extends GeneratedSchemaObject<Record<string, any>>>(meta: Meta) => GeneratedSchemaObject<Record<string, any>>;
/** Recursively replace proxy accessors with its actual cached value. */
export declare const deepMetadata: (input: any) => any;
export declare const createArrayAccessor: <TSchemaType extends GeneratedSchemaObject<Record<string, any>>[]>(meta: Meta) => TSchemaType;
